<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Challenge of the Super Sons (2020-)</Series>
  <Number>14</Number>
  <Web>https://www.comixology.com/Challenge-of-the-Super-Sons-2020-14/digital-comic/930692</Web>
  <Summary>You thought this story as all wrapped, didn’t you? Not even close! Well a little close. In this final chapter of CHALLENGE OF THE SUPER SONS, Robin and Superboy must finally come face to face with their world’s-finest-fathers and explain what on earth just happened and why the entire Justice League was attacked in the span of a day. Superman and Batman join the fray in this explosive final chapter of the latest installment of THE SUPER SONS!</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB930692], [ASINB091B4PK1D]</Notes>
  <Publisher>DC</Publisher>
  <Genre>Superhero</Genre>
  <PageCount>24</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
